@import '../../variables.scss';

.product-card {
  width: 8.5rem;
  height: 100%;
  box-shadow: $box-shadow;
  white-space: normal;
  border: none;
  background-color: $bia-white;
  border-radius: 0.25rem;

  &--featured {
    width: 10.5rem;

    > .product-card {
      &__price {
        font-size: $text-sm;
      }
    }
  }

  &__content {
    height: inherit;
    width: inherit;
  }

  &__image {
    height: 8.5rem;
    border-top-left-radius: 0.25rem;
    border-top-right-radius: 0.25rem;
    object-fit: cover;
    font-size: 3rem;
  }

  &__icon {
    top: 0.5rem;
    right: 0.5rem;
    height: 1.25rem;
    width: 1.25rem;
    border-radius: 50%;
    font-size: $text-xs;
  }

  &__title {
    font-size: $text-md;
    line-height: $text-lg;
    font-family: 'Roboto';
    font-weight: 500;
    flex: 1;
  }

  &__store {
    color: $bia-gray-light;
    font-size: $text-sm;
    line-height: $text-lg;
    font-family: 'Roboto';
  }

  &__price {
    font-family: 'Roboto';
    font-weight: 700;
    font-size: $text-sm;
    line-height: $text-sm;
    color: $bia-green;

    &--old {
      font-size: $text-xs;
      line-height: $text-xs;
      margin-bottom: 2px;
      color: $bia-gray-light;
    }
  }
}

@media (max-width: 991.98px) {
  .product-card--horizontal {
    width: unset;
    white-space: nowrap;
    overflow: auto;

    > .product-card__image {
      height: 6rem;
      width: 6rem;
      min-width: 6rem;
      min-height: 6rem;
      border-top-left-radius: 0.25rem;
      border-bottom-left-radius: 0.25rem;
    }
  }
}

@media (min-width: $lg) {
  .product-card {
    width: 14.5rem;

    &--featured {
      width: 30rem;
      height: 14rem;

      .product-card {
        &__image {
          width: 14rem;
          height: 13rem;
        }

        &__body {
          width: 14rem;
        }

        &__button {
          border-radius: 0.25rem;
          width: initial;
          padding: 0.75rem 1rem;
          border: none;
          color: rgba($bia-white, 0.85);
          font-size: $text-md;
          bottom: 1.5rem;
          left: 16rem;

          &:hover {
            color: $bia-white;
          }

          &-icon {
            path {
              fill: $bia-white;
            }
          }
        }

        &__price {
          margin-top: 1.5rem;
          margin-bottom: 1.5rem;
        }

        &__price, &__price--old{
          font-size: $text-xl;
          line-height: $text-xl;
        }
      }
    }

    &__image {
      width: 12.5rem;
      height: 10rem;
    }

    &__icon {
      top: 1.25rem;
      right: 1.25rem;
      height: 1.75rem;
      width: 1.75rem;
      font-size: $text-md;
      z-index: 1;
      opacity: 0.8;
      transition: opacity 0.2s ease-in;

      &:hover {
        opacity: 1;
      }
    }

    &__title {
      font-size: $text-xl;
    }

    &__price, &__price--old{
      margin: 0.75rem 0 1.12rem;
      font-size: $text-lg;
      line-height: $text-lg;
    }

    &__price--old {
      text-decoration: line-through;
    }

    &__button {
      width: 100%;
      border-top: 1px solid rgba($bia-gray-light, 0.37);
      height: 3rem;
      background-color: $bia-white;
      font-family: 'Roboto';
      font-weight: 500;
      font-size: $text-lg;
      line-height: $text-lg;
      border-bottom-left-radius: 0.5rem;
      border-bottom-right-radius: 0.5rem;
      transition: color 0.2s ease-in;
      color: rgba($bia-gray, 0.7);

      &:hover {
        color: $bia-gray;
      }

      &-icon {
        margin-right: 0.75rem;

        svg {
          height: 1.32rem;
          width: 1.19rem;
        }

        path {
          fill: $bia-gray;
        }
      }
    }

    .ranking-stars {
      font-size: $text-lg;
    }
  }
}

@media (min-width: $xl) {
  .product-card {
    width: 17.5rem;

    &--featured {
      width: 37rem;
      height: 16rem;

      .product-card {
        &__image {
          width: 16.5rem;
          height: 14rem;
        }

        &__body {
          width: 17rem;
        }

        &__price {
          margin-top: 2rem;
          margin-bottom: 2rem;
        }

        &__button {
          left: 20rem;
        }
      }
    }

    &__image {
      width: 15.5rem;
      height: 13rem;
    }

    &__icon {
      top: 1.5rem;
      right: 1.5rem;
    }

    &__button {
      height: 3.5rem;
    }
  }
}
